<template>
	<link rel="preconnect" href="https://fonts.googleapis.com">
	<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
	<link href="https://fonts.googleapis.com/css2?family=Marcellus&display=swap" rel="stylesheet">
	<div id="film-page-section">
		<div class="container">
			<div class="flex-container">
				<div class="film-info">
					<h1 class="info-header">Zack Snyder's<br>Justice League</h1>
					<div class="film-characteristics">
						<span class="year">2021</span>
						<div class="age">18+</div>
						<div class="chronology">4h 2min</div>
						<div class="rate"><span class="rate-numbers">8.8</span><img src="../../../assets/images/star.svg" alt="star"></div>
					</div>
					<p class="description">
						Determined to ensure Superman's ultimate sacrifice was not in vain,
						Bruce Wayne aligns forces with Diana Prince with<br>plans to recruit
						a team of metahumans to protect the world<br>from an approaching threat
						of catastrophic proportions.
					</p>
				</div>
			</div>
			<div class="buttons">
				<div class="watch-btn">
					<watch-button></watch-button>
				</div>
				<div class="info-btn">
					<white-button></white-button>
				</div>
			</div>
		</div>
		<div class="poster-img">
		</div>
	</div>
</template>


<script>

import watchButton from "@/components/UI/watch-button";
import whiteButton from "@/components/UI/white-button";

export default {
	name: "film-page-section",
	components: {
		watchButton,
		whiteButton,
	},

}
</script>

<style scoped>
	#film-page-section {
		@import url('https://fonts.googleapis.com/css2?family=Mulish:wght@400;800&display=swap');
		font-family: 'Mulish', sans-serif;
		color: #fff;
		border-bottom: 2px solid #2F2E2E;
		position: relative;
	}

	.container {
		z-index: 0;
		width: 1440px;
		height: 765px;
		margin: 0 auto;
	}

	.film-info {
		padding-top: 122px;

	}

	.info-header {
		font-family: 'Marcellus', serif;
		font-size: 80px;
		font-weight: 400;
		line-height: 70px;
	}

	.film-characteristics {
		max-width: 307px;
		display: flex;
		justify-content: space-between;
		margin-top: 40px;
		margin-bottom: 32px;
		font-weight: 800;
	}

	.year {
		margin-right: 19px;
	}

	.age {
		margin-right: 19px;
		border: 1px solid #326CFF;
		border-radius: 10px;
		padding: 0 15px;
	}

	.chronology {
		margin-right: 42px;
	}

	.rate-numbers {
		margin-right: 10px;
	}

	.description {
		line-height: 28px;
		font-size: 18px;
		width: 507px;
		color: #C2C2C2;
	}

	.buttons {
		display: flex;
		margin-top: 35px;
	}

	.watch-btn {
		margin-right: 30px;
	}

	.poster-img {
		position: absolute;
		top: 0;
		right: 0;
		box-shadow: inset 75px 0 50px #000;
		background: url("../../../assets/images/league.png");
		height: 764px;
		width: 955px;
	}

</style>